summaryrefslogtreecommitdiffstats
path: root/chrome/installer/mac
diff options
context:
space:
mode:
authorthakis@chromium.org <thakis@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-05-24 16:34:37 +0000
committerthakis@chromium.org <thakis@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-05-24 16:34:37 +0000
commit4a80767ed12331099fe3b1b464875d318d1da895 (patch)
treee3771f06cc76ff4cfa61726da2b8fa589aec86ed /chrome/installer/mac
parented2e8624d702924934de4c180fbe555450ecdfd8 (diff)
downloadchromium_src-4a80767ed12331099fe3b1b464875d318d1da895.zip
chromium_src-4a80767ed12331099fe3b1b464875d318d1da895.tar.gz
chromium_src-4a80767ed12331099fe3b1b464875d318d1da895.tar.bz2
mac gcapi: Add a InstallGoogleChrome() function.
BUG=128462 TEST=none Review URL: https://chromiumcodereview.appspot.com/10407047 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@138813 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'chrome/installer/mac')
-rwxr-xr-xchrome/installer/mac/keystone_install.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/chrome/installer/mac/keystone_install.sh b/chrome/installer/mac/keystone_install.sh
index b48329e..4dca1e2 100755
--- a/chrome/installer/mac/keystone_install.sh
+++ b/chrome/installer/mac/keystone_install.sh
@@ -675,8 +675,8 @@ main() {
# likely fail for another reason and the user ticket will hang around until
# something is eventually able to remove it.
if [[ -z "${system_ticket}" ]] &&
- ksadmin -S --print-tickets -P "${product_id}" >& /dev/null; then
- ksadmin --delete -P "${product_id}" || true
+ ksadmin -S --print-tickets --productid "${product_id}" >& /dev/null; then
+ ksadmin --delete --productid "${product_id}" || true
err "can't update on a user ticket when a system ticket is also present"
exit 4
fi
@@ -1061,7 +1061,7 @@ main() {
local ksadmin_args=(
--register
- -P "${product_id}"
+ --productid "${product_id}"
--version "${new_version_ks}"
--xcpath "${installed_app}"
--url "${update_url}"